Subject: libosmocore.git branch achemeris/sms-fixes updated. 0.6.5-19-ga4cde76
From: [email-masked]
To: [email-masked]
Date: Wed, 12 Mar 2014 17:06:04 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "An utility library for Open Source Mobile Communications".

The branch, achemeris/sms-fixes has been updated
  discards  63c6b4c13ecbd6fa0e911d64c27da1f75ff234a1 (commit)
  discards  a217df24fe80c45cd258df9a9be736fa0a5033a1 (commit)
  discards  c40d56c4111681d7a8d65f4769512b34f962781c (commit)
  discards  d2f1a6dff6bdd83a3c0503b5ef33c8632f93d56c (commit)
  discards  55223eba9ee8189fe344202f305f4b18c35ba974 (commit)
  discards  190feef753fd271f3668d0a55cd5edd0215021bf (commit)
  discards  e83ab3eb5bde207ae3b789099205529780ef5023 (commit)
       via  a4cde761cf4876781fa84d739a0c7e38eef2ead3 (commit)
       via  b8ed8ed29d239693e2b32b62cbac3b2847937b9b (commit)
       via  71a31e56b66284deca5870c896aba5af2667c32b (commit)
       via  44a24c95ad0226d2121877b8ccf2a1742d89bf67 (commit)
       via  7b33ad5e709db39b1f9b9d7a8d1f3f9d50c7fa7b (commit)
       via  a1c751971504bd51bfd7f185b59bde1c3b77ea95 (commit)
       via  e6475447bfbffde4cf03b930f791ae0e9540428d (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (63c6b4c13ecbd6fa0e911d64c27da1f75ff234a1)
            \
             N -- N -- N (a4cde761cf4876781fa84d739a0c7e38eef2ead3)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/libosmocore/commit/?id=a4cde761cf4876781fa84d739a0c7e38eef2ead3

commit a4cde761cf4876781fa84d739a0c7e38eef2ead3
Author: Alexander Chemeris <[email-masked]>
Date:   Sun Mar 9 01:33:28 2014 +0100

    sms: Rename gsm340_gen_oa() to gsm340_gen_address_field().
    
    According to 03.40 9.1.2.5 Address fields, this function generates different
    types of addresses and not only originating addresses.

-----------------------------------------------------------------------

Summary of changes:
 include/osmocom/gsm/gsm0411_utils.h | 4 ++--
 src/gsm/gsm0411_utils.c             | 4 ++--
 src/gsm/libosmogsm.map              | 2 +-
 tests/sms/sms_test.c                | 4 ++--
 4 files changed, 7 insertions(+), 7 deletions(-)

hooks/post-receive
-- 
An utility library for Open Source Mobile Communications